"""
List of place types and place qualifiers.
Auto-generated with `python -m scripts`.
"""

# START
recognized_placetypes = {
    "*": {
        "article": "a",
        "display": "*",
        "preposition": "in",
    },
    "Crown dependency": {
        "article": "a",
        "display": "Crown dependency",
        "preposition": "of",
    },
    "First Nations reserve": {
        "article": "a",
        "display": "First Nations reserve",
        "preposition": "in",
    },
    "French prefecture": {
        "article": "the",
        "display": "prefecture",
        "preposition": "of",
    },
    "Indian reservation": {
        "article": "an",
        "display": "Indian reservation",
        "preposition": "in",
    },
    "Indian reserve": {
        "article": "an",
        "display": "Indian reserve",
        "preposition": "in",
    },
    "Israeli settlement": {
        "article": "an",
        "display": "Israeli settlement",
        "preposition": "in",
    },
    "London borough": {
        "article": "a",
        "display": "London borough",
        "preposition": "of",
    },
    "Roman province": {
        "article": "a",
        "display": "Roman province",
        "preposition": "in",
    },
    "Welsh community": {
        "article": "a",
        "display": "community",
        "preposition": "of",
    },
    "administrative atoll": {
        "article": "an",
        "display": "administrative atoll",
        "preposition": "of",
    },
    "administrative capital": {
        "article": "the",
        "display": "administrative capital",
        "preposition": "of",
    },
    "administrative center": {
        "article": "the",
        "display": "administrative center",
        "preposition": "of",
    },
    "administrative centre": {
        "article": "the",
        "display": "administrative centre",
        "preposition": "of",
    },
    "administrative county": {
        "article": "an",
        "display": "administrative county",
        "preposition": "in",
    },
    "administrative district": {
        "article": "an",
        "display": "administrative district",
        "preposition": "in",
    },
    "administrative headquarters": {
        "article": "the",
        "display": "administrative headquarters",
        "preposition": "of",
    },
    "administrative region": {
        "article": "an",
        "display": "administrative region",
        "preposition": "of",
    },
    "administrative seat": {
        "article": "the",
        "display": "administrative seat",
        "preposition": "of",
    },
    "administrative village": {
        "article": "an",
        "display": "administrative village",
        "preposition": "of",
    },
    "airport": {
        "article": "an",
        "display": "airport",
        "preposition": "in",
    },
    "alliance": {
        "article": "an",
        "display": "alliance",
        "preposition": "in",
    },
    "ancient capital": {
        "article": "the",
        "display": "ancient capital",
        "preposition": "of",
    },
    "ancient city": {
        "article": "an",
        "display": "ancient city",
        "preposition": "in",
    },
    "ancient hamlet": {
        "article": "an",
        "display": "ancient hamlet",
        "preposition": "in",
    },
    "ancient settlement": {
        "article": "an",
        "display": "ancient settlement",
        "preposition": "in",
    },
    "ancient town": {
        "article": "an",
        "display": "ancient town",
        "preposition": "in",
    },
    "ancient village": {
        "article": "an",
        "display": "ancient village",
        "preposition": "in",
    },
    "archipelago": {
        "article": "an",
        "display": "archipelago",
        "preposition": "in",
    },
    "area": {
        "article": "an",
        "display": "area",
        "preposition": "in",
    },
    "arm": {
        "article": "an",
        "display": "arm",
        "preposition": "of",
    },
    "arrondissement": {
        "article": "an",
        "display": "arrondissement",
        "preposition": "of",
    },
    "associated province": {
        "article": "an",
        "display": "associated province",
        "preposition": "of",
    },
    "atoll": {
        "article": "an",
        "display": "atoll",
        "preposition": "in",
    },
    "autonomous city": {
        "article": "an",
        "display": "autonomous city",
        "preposition": "of",
    },
    "autonomous community": {
        "article": "an",
        "display": "autonomous community",
        "preposition": "of",
    },
    "autonomous island": {
        "article": "an",
        "display": "autonomous island",
        "preposition": "of",
    },
    "autonomous oblast": {
        "article": "an",
        "display": "autonomous oblast",
        "preposition": "of",
    },
    "autonomous okrug": {
        "article": "an",
        "display": "autonomous okrug",
        "preposition": "of",
    },
    "autonomous prefecture": {
        "article": "an",
        "display": "autonomous prefecture",
        "preposition": "in",
    },
    "autonomous province": {
        "article": "an",
        "display": "autonomous province",
        "preposition": "in",
    },
    "autonomous region": {
        "article": "an",
        "display": "autonomous region",
        "preposition": "of",
    },
    "autonomous republic": {
        "article": "an",
        "display": "autonomous republic",
        "preposition": "of",
    },
    "autonomous territory": {
        "article": "an",
        "display": "autonomous territory",
        "preposition": "of",
    },
    "bailiwick": {
        "article": "a",
        "display": "bailiwick",
        "preposition": "in",
    },
    "barangay": {
        "article": "a",
        "display": "barangay",
        "preposition": "of",
    },
    "barrio": {
        "article": "a",
        "display": "barrio",
        "preposition": "of",
    },
    "basin": {
        "article": "a",
        "display": "basin",
        "preposition": "in",
    },
    "bay": {
        "article": "a",
        "display": "bay",
        "preposition": "of",
    },
    "beach": {
        "article": "a",
        "display": "beach",
        "preposition": "in",
    },
    "beach resort": {
        "article": "a",
        "display": "beach resort",
        "preposition": "in",
    },
    "bishopric": {
        "article": "a",
        "display": "bishopric",
        "preposition": "in",
    },
    "borough": {
        "article": "a",
        "display": "borough",
        "preposition": "of",
    },
    "borough seat": {
        "article": "the",
        "display": "borough seat",
        "preposition": "of",
    },
    "branch": {
        "article": "a",
        "display": "branch",
        "preposition": "of",
    },
    "built-up area": {
        "article": "a",
        "display": "built-up area",
        "preposition": "in",
    },
    "burgh": {
        "article": "a",
        "display": "burgh",
        "preposition": "of",
    },
    "caliphate": {
        "article": "a",
        "display": "caliphate",
        "preposition": "in",
    },
    "canton": {
        "article": "a",
        "display": "canton",
        "preposition": "of",
    },
    "cape": {
        "article": "a",
        "display": "cape",
        "preposition": "in",
    },
    "capital": {
        "article": "the",
        "display": "capital",
        "preposition": "of",
    },
    "capital city": {
        "article": "the",
        "display": "capital city",
        "preposition": "of",
    },
    "caplc": {
        "article": "the",
        "display": "capital and largest city",
        "preposition": "of",
    },
    "caravan city": {
        "article": "a",
        "display": "caravan city",
        "preposition": "in",
    },
    "cathedral city": {
        "article": "a",
        "display": "cathedral city",
        "preposition": "in",
    },
    "cattle station": {
        "article": "a",
        "display": "cattle station",
        "preposition": "in",
    },
    "census area": {
        "article": "a",
        "display": "census area",
        "preposition": "in",
    },
    "census division": {
        "article": "a",
        "display": "census division",
        "preposition": "of",
    },
    "census-designated place": {
        "article": "a",
        "display": "census-designated place",
        "preposition": "in",
    },
    "central business district": {
        "article": "a",
        "display": "central business district",
        "preposition": "of",
    },
    "cercle": {
        "article": "a",
        "display": "cercle",
        "preposition": "of",
    },
    "ceremonial county": {
        "article": "a",
        "display": "ceremonial county",
        "preposition": "of",
    },
    "chain of islands": {
        "article": "a",
        "display": "chain of islands",
        "preposition": "in",
    },
    "channel": {
        "article": "a",
        "display": "channel",
        "preposition": "in",
    },
    "charter community": {
        "article": "a",
        "display": "charter community",
        "preposition": "in",
    },
    "city": {
        "article": "a",
        "display": "city",
        "preposition": "in",
    },
    "city-state": {
        "article": "a",
        "display": "city-state",
        "preposition": "in",
    },
    "civil parish": {
        "article": "a",
        "display": "civil parish",
        "preposition": "of",
    },
    "coal town": {
        "article": "a",
        "display": "coal town",
        "preposition": "in",
    },
    "collectivity": {
        "article": "a",
        "display": "collectivity",
        "preposition": "of",
    },
    "colony": {
        "article": "a",
        "display": "colony",
        "preposition": "of",
    },
    "commandery": {
        "article": "a",
        "display": "commandery",
        "preposition": "of",
    },
    "commonwealth": {
        "article": "a",
        "display": "commonwealth",
        "preposition": "of",
    },
    "commune": {
        "article": "a",
        "display": "commune",
        "preposition": "of",
    },
    "community": {
        "article": "a",
        "display": "community",
        "preposition": "in",
    },
    "community development block": {
        "article": "a",
        "display": "community development block",
        "preposition": "in",
    },
    "comune": {
        "article": "a",
        "display": "comune",
        "preposition": "of",
    },
    "confederacy": {
        "article": "a",
        "display": "confederacy",
        "preposition": "in",
    },
    "confederation": {
        "article": "a",
        "display": "confederation",
        "preposition": "in",
    },
    "constituency": {
        "article": "a",
        "display": "constituency",
        "preposition": "of",
    },
    "constituent country": {
        "article": "a",
        "display": "constituent country",
        "preposition": "of",
    },
    "continent": {
        "article": "a",
        "display": "continent",
        "preposition": "in",
    },
    "contregion": {
        "article": "a",
        "display": "continental region",
        "preposition": "of",
    },
    "council area": {
        "article": "a",
        "display": "council area",
        "preposition": "of",
    },
    "country": {
        "article": "a",
        "display": "country",
        "preposition": "in",
    },
    "county": {
        "article": "a",
        "display": "county",
        "preposition": "of",
    },
    "county borough": {
        "article": "a",
        "display": "county borough",
        "preposition": "of",
    },
    "county seat": {
        "article": "the",
        "display": "county seat",
        "preposition": "of",
    },
    "county town": {
        "article": "the",
        "display": "county town",
        "preposition": "of",
    },
    "county-administered city": {
        "article": "a",
        "display": "county-administered city",
        "preposition": "in",
    },
    "county-controlled city": {
        "article": "a",
        "display": "county-controlled city",
        "preposition": "in",
    },
    "county-level city": {
        "article": "a",
        "display": "county-level city",
        "preposition": "in",
    },
    "crown dependency": {
        "article": "a",
        "display": "crown dependency",
        "preposition": "of",
    },
    "delegation": {
        "article": "a",
        "display": "delegation",
        "preposition": "of",
    },
    "department": {
        "article": "a",
        "display": "department",
        "preposition": "of",
    },
    "department capital": {
        "article": "the",
        "display": "department capital",
        "preposition": "of",
    },
    "dependency": {
        "article": "a",
        "display": "dependency",
        "preposition": "of",
    },
    "dependent territory": {
        "article": "a",
        "display": "dependent territory",
        "preposition": "of",
    },
    "desert": {
        "article": "a",
        "display": "desert",
        "preposition": "in",
    },
    "deserted mediaeval village": {
        "article": "a",
        "display": "deserted mediaeval village",
        "preposition": "in",
    },
    "deserted medieval village": {
        "article": "a",
        "display": "deserted medieval village",
        "preposition": "in",
    },
    "direct-administered municipality": {
        "article": "a",
        "display": "direct-administered municipality",
        "preposition": "of",
    },
    "direct-controlled municipality": {
        "article": "a",
        "display": "direct-controlled municipality",
        "preposition": "of",
    },
    "distributary": {
        "article": "a",
        "display": "distributary",
        "preposition": "of",
    },
    "district": {
        "article": "a",
        "display": "district",
        "preposition": "of",
    },
    "district capital": {
        "article": "the",
        "display": "district capital",
        "preposition": "of",
    },
    "district headquarters": {
        "article": "the",
        "display": "district headquarters",
        "preposition": "of",
    },
    "district municipality": {
        "article": "a",
        "display": "district municipality",
        "preposition": "of",
    },
    "districts and autonomous region": {
        "article": "a",
        "display": "districts and autonomous region",
        "preposition": "of",
    },
    "division": {
        "article": "a",
        "display": "division",
        "preposition": "of",
    },
    "dome": {
        "article": "a",
        "display": "dome",
        "preposition": "in",
    },
    "dormant volcano": {
        "article": "a",
        "display": "dormant volcano",
        "preposition": "in",
    },
    "duchy": {
        "article": "a",
        "display": "duchy",
        "preposition": "in",
    },
    "emirate": {
        "article": "an",
        "display": "emirate",
        "preposition": "of",
    },
    "empire": {
        "article": "an",
        "display": "empire",
        "preposition": "in",
    },
    "enclave": {
        "article": "an",
        "display": "enclave",
        "preposition": "of",
    },
    "entity": {
        "article": "an",
        "display": "entity",
        "preposition": "of",
    },
    "ethnographic region": {
        "article": "an",
        "display": "ethnographic region",
        "preposition": "of",
    },
    "exclave": {
        "article": "an",
        "display": "exclave",
        "preposition": "of",
    },
    "external territory": {
        "article": "an",
        "display": "external territory",
        "preposition": "of",
    },
    "federal city": {
        "article": "a",
        "display": "federal city",
        "preposition": "of",
    },
    "federal subject": {
        "article": "a",
        "display": "federal subject",
        "preposition": "of",
    },
    "federal territory": {
        "article": "a",
        "display": "federal territory",
        "preposition": "of",
    },
    "fictional location": {
        "article": "a",
        "display": "fictional location",
        "preposition": "in",
    },
    "fjord": {
        "article": "a",
        "display": "fjord",
        "preposition": "in",
    },
    "forest": {
        "article": "a",
        "display": "forest",
        "preposition": "in",
    },
    "former autonomous territory": {
        "article": "a",
        "display": "former autonomous territory",
        "preposition": "in",
    },
    "former colony": {
        "article": "a",
        "display": "former colony",
        "preposition": "in",
    },
    "former maritime republic": {
        "article": "a",
        "display": "former maritime republic",
        "preposition": "in",
    },
    "former polity": {
        "article": "a",
        "display": "former polity",
        "preposition": "in",
    },
    "former separatist state": {
        "article": "a",
        "display": "former separatist state",
        "preposition": "in",
    },
    "frazione": {
        "article": "a",
        "display": "frazione",
        "preposition": "in",
    },
    "geographic region": {
        "article": "a",
        "display": "geographic region",
        "preposition": "of",
    },
    "geographical region": {
        "article": "a",
        "display": "geographical region",
        "preposition": "of",
    },
    "geopolitical zone": {
        "article": "a",
        "display": "geopolitical zone",
        "preposition": "of",
    },
    "gewog": {
        "article": "a",
        "display": "gewog",
        "preposition": "of",
    },
    "ghost town": {
        "article": "a",
        "display": "ghost town",
        "preposition": "in",
    },
    "glen": {
        "article": "a",
        "display": "glen",
        "preposition": "in",
    },
    "governorate": {
        "article": "a",
        "display": "governorate",
        "preposition": "of",
    },
    "greater administrative region": {
        "article": "a",
        "display": "greater administrative region",
        "preposition": "of",
    },
    "gromada": {
        "article": "a",
        "display": "gromada",
        "preposition": "of",
    },
    "group of islands": {
        "article": "a",
        "display": "group of islands",
        "preposition": "in",
    },
    "gulf": {
        "article": "a",
        "display": "gulf",
        "preposition": "of",
    },
    "hamlet": {
        "article": "a",
        "display": "hamlet",
        "preposition": "in",
    },
    "harbor city": {
        "article": "a",
        "display": "harbor city",
        "preposition": "in",
    },
    "harbor town": {
        "article": "a",
        "display": "harbor town",
        "preposition": "in",
    },
    "harbour city": {
        "article": "a",
        "display": "harbour city",
        "preposition": "in",
    },
    "harbour town": {
        "article": "a",
        "display": "harbour town",
        "preposition": "in",
    },
    "headland": {
        "article": "a",
        "display": "headland",
        "preposition": "in",
    },
    "headquarters": {
        "article": "the",
        "display": "headquarters",
        "preposition": "of",
    },
    "heath": {
        "article": "a",
        "display": "heath",
        "preposition": "in",
    },
    "hill": {
        "article": "a",
        "display": "hill",
        "preposition": "in",
    },
    "hill station": {
        "article": "a",
        "display": "hill station",
        "preposition": "in",
    },
    "hill town": {
        "article": "a",
        "display": "hill town",
        "preposition": "in",
    },
    "historical administrative region": {
        "article": "a",
        "display": "historical administrative region",
        "preposition": "of",
    },
    "historical autonomous republic": {
        "article": "a",
        "display": "historical autonomous republic",
        "preposition": "of",
    },
    "historical bailiwick": {
        "article": "a",
        "display": "historical bailiwick",
        "preposition": "in",
    },
    "historical barangay": {
        "article": "a",
        "display": "historical barangay",
        "preposition": "of",
    },
    "historical bishopric": {
        "article": "a",
        "display": "historical bishopric",
        "preposition": "in",
    },
    "historical borough": {
        "article": "a",
        "display": "historical borough",
        "preposition": "of",
    },
    "historical caliphate": {
        "article": "a",
        "display": "historical caliphate",
        "preposition": "in",
    },
    "historical canton": {
        "article": "a",
        "display": "historical canton",
        "preposition": "of",
    },
    "historical capital": {
        "article": "the",
        "display": "historical capital",
        "preposition": "of",
    },
    "historical city": {
        "article": "a",
        "display": "historical city",
        "preposition": "in",
    },
    "historical civil parish": {
        "article": "a",
        "display": "historical civil parish",
        "preposition": "of",
    },
    "historical civilisation": {
        "article": "a",
        "display": "historical civilisation",
        "preposition": "in",
    },
    "historical civilization": {
        "article": "a",
        "display": "historical civilization",
        "preposition": "in",
    },
    "historical commandery": {
        "article": "a",
        "display": "historical commandery",
        "preposition": "of",
    },
    "historical commonwealth": {
        "article": "a",
        "display": "historical commonwealth",
        "preposition": "in",
    },
    "historical commune": {
        "article": "a",
        "display": "historical commune",
        "preposition": "of",
    },
    "historical confederation": {
        "article": "a",
        "display": "historical confederation",
        "preposition": "in",
    },
    "historical council area": {
        "article": "a",
        "display": "historical council area",
        "preposition": "of",
    },
    "historical country": {
        "article": "a",
        "display": "historical country",
        "preposition": "in",
    },
    "historical county": {
        "article": "a",
        "display": "historical county",
        "preposition": "of",
    },
    "historical county borough": {
        "article": "a",
        "display": "historical county borough",
        "preposition": "of",
    },
    "historical department": {
        "article": "a",
        "display": "historical department",
        "preposition": "of",
    },
    "historical dependent territory": {
        "article": "a",
        "display": "historical dependent territory",
        "preposition": "of",
    },
    "historical district": {
        "article": "a",
        "display": "historical district",
        "preposition": "of",
    },
    "historical division": {
        "article": "a",
        "display": "historical division",
        "preposition": "of",
    },
    "historical duchy": {
        "article": "a",
        "display": "historical duchy",
        "preposition": "in",
    },
    "historical emirate": {
        "article": "a",
        "display": "historical emirate",
        "preposition": "in",
    },
    "historical empire": {
        "article": "a",
        "display": "historical empire",
        "preposition": "in",
    },
    "historical governorate": {
        "article": "a",
        "display": "historical governorate",
        "preposition": "of",
    },
    "historical hamlet": {
        "article": "a",
        "display": "historical hamlet",
        "preposition": "in",
    },
    "historical khanate": {
        "article": "a",
        "display": "historical khanate",
        "preposition": "in",
    },
    "historical kingdom": {
        "article": "a",
        "display": "historical kingdom",
        "preposition": "in",
    },
    "historical krai": {
        "article": "a",
        "display": "historical krai",
        "preposition": "of",
    },
    "historical local government area": {
        "article": "a",
        "display": "historical local government area",
        "preposition": "of",
    },
    "historical local government district": {
        "article": "a",
        "display": "historical local government district",
        "preposition": "of",
    },
    "historical locality": {
        "article": "a",
        "display": "historical locality",
        "preposition": "in",
    },
    "historical maritime republic": {
        "article": "a",
        "display": "historical maritime republic",
        "preposition": "in",
    },
    "historical metropolitan borough": {
        "article": "a",
        "display": "historical metropolitan borough",
        "preposition": "of",
    },
    "historical municipality": {
        "article": "a",
        "display": "historical municipality",
        "preposition": "of",
    },
    "historical oblast": {
        "article": "a",
        "display": "historical oblast",
        "preposition": "of",
    },
    "historical okrug": {
        "article": "a",
        "display": "historical okrug",
        "preposition": "of",
    },
    "historical parish": {
        "article": "a",
        "display": "historical parish",
        "preposition": "of",
    },
    "historical periphery": {
        "article": "a",
        "display": "historical periphery",
        "preposition": "of",
    },
    "historical political subdivision": {
        "article": "a",
        "display": "historical political subdivision",
        "preposition": "of",
    },
    "historical polity": {
        "article": "a",
        "display": "historical polity",
        "preposition": "in",
    },
    "historical prefecture": {
        "article": "a",
        "display": "historical prefecture",
        "preposition": "of",
    },
    "historical province": {
        "article": "a",
        "display": "historical province",
        "preposition": "of",
    },
    "historical regency": {
        "article": "a",
        "display": "historical regency",
        "preposition": "of",
    },
    "historical region": {
        "article": "a",
        "display": "historical region",
        "preposition": "in",
    },
    "historical regional unit": {
        "article": "a",
        "display": "historical regional unit",
        "preposition": "of",
    },
    "historical republic": {
        "article": "a",
        "display": "historical republic",
        "preposition": "in",
    },
    "historical satrapy": {
        "article": "a",
        "display": "historical satrapy",
        "preposition": "in",
    },
    "historical separatist state": {
        "article": "a",
        "display": "historical separatist state",
        "preposition": "in",
    },
    "historical settlement": {
        "article": "a",
        "display": "historical settlement",
        "preposition": "in",
    },
    "historical state": {
        "article": "a",
        "display": "historical state",
        "preposition": "in",
    },
    "historical subdistrict": {
        "article": "a",
        "display": "historical subdistrict",
        "preposition": "of",
    },
    "historical subdivision": {
        "article": "a",
        "display": "historical subdivision",
        "preposition": "of",
    },
    "historical subprefecture": {
        "article": "a",
        "display": "historical subprefecture",
        "preposition": "of",
    },
    "historical town": {
        "article": "a",
        "display": "historical town",
        "preposition": "in",
    },
    "historical unincorporated community": {
        "article": "a",
        "display": "historical unincorporated community",
        "preposition": "in",
    },
    "historical village": {
        "article": "a",
        "display": "historical village",
        "preposition": "in",
    },
    "historical voivodeship": {
        "article": "a",
        "display": "historical voivodeship",
        "preposition": "of",
    },
    "home rule city": {
        "article": "a",
        "display": "home rule city",
        "preposition": "in",
    },
    "home rule municipality": {
        "article": "a",
        "display": "home rule municipality",
        "preposition": "of",
    },
    "hot spring": {
        "article": "a",
        "display": "hot spring",
        "preposition": "in",
    },
    "housing estate": {
        "article": "a",
        "display": "housing estate",
        "preposition": "in",
    },
    "hromada": {
        "article": "a",
        "display": "hromada",
        "preposition": "of",
    },
    "inactive volcano": {
        "article": "an",
        "display": "inactive volcano",
        "preposition": "in",
    },
    "independent city": {
        "article": "an",
        "display": "independent city",
        "preposition": "in",
    },
    "independent town": {
        "article": "an",
        "display": "independent town",
        "preposition": "in",
    },
    "inland sea": {
        "article": "an",
        "display": "inland sea",
        "preposition": "in",
    },
    "inner city area": {
        "article": "an",
        "display": "inner city area",
        "preposition": "of",
    },
    "island": {
        "article": "an",
        "display": "island",
        "preposition": "in",
    },
    "island country": {
        "article": "an",
        "display": "island country",
        "preposition": "in",
    },
    "island municipality": {
        "article": "an",
        "display": "island municipality",
        "preposition": "of",
    },
    "islet": {
        "article": "an",
        "display": "islet",
        "preposition": "in",
    },
    "judicial capital": {
        "article": "the",
        "display": "judicial capital",
        "preposition": "of",
    },
    "khanate": {
        "article": "a",
        "display": "khanate",
        "preposition": "in",
    },
    "kibbutz": {
        "article": "a",
        "display": "kibbutz",
        "preposition": "in",
    },
    "kingdom": {
        "article": "a",
        "display": "kingdom",
        "preposition": "in",
    },
    "krai": {
        "article": "a",
        "display": "krai",
        "preposition": "of",
    },
    "lake": {
        "article": "a",
        "display": "lake",
        "preposition": "in",
    },
    "largest city": {
        "article": "the",
        "display": "largest city",
        "preposition": "in",
    },
    "league": {
        "article": "a",
        "display": "league",
        "preposition": "in",
    },
    "legislative capital": {
        "article": "the",
        "display": "legislative capital",
        "preposition": "of",
    },
    "lieutenancy area": {
        "article": "a",
        "display": "lieutenancy area",
        "preposition": "in",
    },
    "local authority district": {
        "article": "a",
        "display": "local authority district",
        "preposition": "of",
    },
    "local council": {
        "article": "a",
        "display": "local council",
        "preposition": "of",
    },
    "local government area": {
        "article": "a",
        "display": "local government area",
        "preposition": "of",
    },
    "local government district": {
        "article": "a",
        "display": "local government district",
        "preposition": "of",
    },
    "local government district with borough status": {
        "article": "a",
        "display": "local government district with borough status",
        "preposition": "of",
    },
    "local urban district": {
        "article": "a",
        "display": "local urban district",
        "preposition": "in",
    },
    "locality": {
        "article": "a",
        "display": "locality",
        "preposition": "in",
    },
    "macroregion": {
        "article": "a",
        "display": "macroregion",
        "preposition": "of",
    },
    "marginal sea": {
        "article": "a",
        "display": "marginal sea",
        "preposition": "of",
    },
    "market city": {
        "article": "a",
        "display": "market city",
        "preposition": "in",
    },
    "market town": {
        "article": "a",
        "display": "market town",
        "preposition": "in",
    },
    "mediaeval capital": {
        "article": "the",
        "display": "mediaeval capital",
        "preposition": "of",
    },
    "mediaeval city": {
        "article": "a",
        "display": "mediaeval city",
        "preposition": "in",
    },
    "mediaeval hamlet": {
        "article": "a",
        "display": "mediaeval hamlet",
        "preposition": "in",
    },
    "mediaeval town": {
        "article": "a",
        "display": "mediaeval town",
        "preposition": "in",
    },
    "mediaeval village": {
        "article": "a",
        "display": "mediaeval village",
        "preposition": "in",
    },
    "medieval capital": {
        "article": "the",
        "display": "medieval capital",
        "preposition": "of",
    },
    "medieval city": {
        "article": "a",
        "display": "medieval city",
        "preposition": "in",
    },
    "medieval hamlet": {
        "article": "a",
        "display": "medieval hamlet",
        "preposition": "in",
    },
    "medieval town": {
        "article": "a",
        "display": "medieval town",
        "preposition": "in",
    },
    "medieval village": {
        "article": "a",
        "display": "medieval village",
        "preposition": "in",
    },
    "megacity": {
        "article": "a",
        "display": "megacity",
        "preposition": "in",
    },
    "metro station": {
        "article": "a",
        "display": "metro station",
        "preposition": "in",
    },
    "metropolitan borough": {
        "article": "a",
        "display": "metropolitan borough",
        "preposition": "of",
    },
    "metropolitan city": {
        "article": "a",
        "display": "metropolitan city",
        "preposition": "of",
    },
    "metropolitan county": {
        "article": "a",
        "display": "metropolitan county",
        "preposition": "of",
    },
    "microdistrict": {
        "article": "a",
        "display": "microdistrict",
        "preposition": "of",
    },
    "microstate": {
        "article": "a",
        "display": "microstate",
        "preposition": "in",
    },
    "minster town": {
        "article": "a",
        "display": "minster town",
        "preposition": "in",
    },
    "moor": {
        "article": "a",
        "display": "moor",
        "preposition": "in",
    },
    "moorland": {
        "article": "a",
        "display": "moorland",
        "preposition": "in",
    },
    "mountain": {
        "article": "a",
        "display": "mountain",
        "preposition": "in",
    },
    "mountain indigenous district": {
        "article": "a",
        "display": "mountain indigenous district",
        "preposition": "of",
    },
    "mountain indigenous township": {
        "article": "a",
        "display": "mountain indigenous township",
        "preposition": "in",
    },
    "mountain pass": {
        "article": "a",
        "display": "mountain pass",
        "preposition": "in",
    },
    "mountain range": {
        "article": "a",
        "display": "mountain range",
        "preposition": "in",
    },
    "mountainous region": {
        "article": "a",
        "display": "mountainous region",
        "preposition": "of",
    },
    "mukim": {
        "article": "a",
        "display": "mukim",
        "preposition": "of",
    },
    "municipal district": {
        "article": "a",
        "display": "municipal district",
        "preposition": "of",
    },
    "municipality": {
        "article": "a",
        "display": "municipality",
        "preposition": "of",
    },
    "municipality with city status": {
        "article": "a",
        "display": "municipality with city status",
        "preposition": "of",
    },
    "mythological location": {
        "article": "a",
        "display": "mythological location",
        "preposition": "in",
    },
    "national capital": {
        "article": "the",
        "display": "national capital",
        "preposition": "of",
    },
    "national park": {
        "article": "a",
        "display": "national park",
        "preposition": "in",
    },
    "neighborhood": {
        "article": "a",
        "display": "neighborhood",
        "preposition": "of",
    },
    "neighbourhood": {
        "article": "a",
        "display": "neighbourhood",
        "preposition": "of",
    },
    "new area": {
        "article": "a",
        "display": "new area",
        "preposition": "in",
    },
    "new town": {
        "article": "a",
        "display": "new town",
        "preposition": "in",
    },
    "non-city capital": {
        "article": "the",
        "display": "capital",
        "preposition": "of",
    },
    "non-metropolitan county": {
        "article": "a",
        "display": "non-metropolitan county",
        "preposition": "of",
    },
    "non-metropolitan district": {
        "article": "a",
        "display": "non-metropolitan district",
        "preposition": "of",
    },
    "oblast": {
        "article": "an",
        "display": "oblast",
        "preposition": "of",
    },
    "ocean": {
        "article": "an",
        "display": "ocean",
        "preposition": "in",
    },
    "okrug": {
        "article": "an",
        "display": "okrug",
        "preposition": "of",
    },
    "overseas collectivity": {
        "article": "an",
        "display": "overseas collectivity",
        "preposition": "of",
    },
    "overseas department": {
        "article": "an",
        "display": "overseas department",
        "preposition": "of",
    },
    "overseas territory": {
        "article": "an",
        "display": "overseas territory",
        "preposition": "of",
    },
    "parish": {
        "article": "a",
        "display": "parish",
        "preposition": "of",
    },
    "parish municipality": {
        "article": "a",
        "display": "parish municipality",
        "preposition": "of",
    },
    "parish seat": {
        "article": "the",
        "display": "parish seat",
        "preposition": "of",
    },
    "park": {
        "article": "a",
        "display": "park",
        "preposition": "in",
    },
    "pass": {
        "article": "a",
        "display": "pass",
        "preposition": "in",
    },
    "peak": {
        "article": "a",
        "display": "peak",
        "preposition": "in",
    },
    "peninsula": {
        "article": "a",
        "display": "peninsula",
        "preposition": "in",
    },
    "periphery": {
        "article": "a",
        "display": "periphery",
        "preposition": "of",
    },
    "planned community": {
        "article": "a",
        "display": "planned community",
        "preposition": "in",
    },
    "polity": {
        "article": "a",
        "display": "polity",
        "preposition": "in",
    },
    "populated place": {
        "article": "a",
        "display": "locality",
        "preposition": "in",
    },
    "port": {
        "article": "a",
        "display": "port",
        "preposition": "in",
    },
    "port city": {
        "article": "a",
        "display": "port city",
        "preposition": "in",
    },
    "port town": {
        "article": "a",
        "display": "port town",
        "preposition": "in",
    },
    "prefecture": {
        "article": "a",
        "display": "prefecture",
        "preposition": "of",
    },
    "prefecture-level city": {
        "article": "a",
        "display": "prefecture-level city",
        "preposition": "in",
    },
    "promontory": {
        "article": "a",
        "display": "promontory",
        "preposition": "in",
    },
    "protectorate": {
        "article": "a",
        "display": "protectorate",
        "preposition": "of",
    },
    "province": {
        "article": "a",
        "display": "province",
        "preposition": "of",
    },
    "provincial capital": {
        "article": "the",
        "display": "provincial capital",
        "preposition": "of",
    },
    "quarter": {
        "article": "a",
        "display": "quarter",
        "preposition": "of",
    },
    "raion": {
        "article": "a",
        "display": "raion",
        "preposition": "of",
    },
    "range": {
        "article": "a",
        "display": "range",
        "preposition": "in",
    },
    "regency": {
        "article": "a",
        "display": "regency",
        "preposition": "of",
    },
    "region": {
        "article": "a",
        "display": "region",
        "preposition": "of",
    },
    "regional capital": {
        "article": "the",
        "display": "regional capital",
        "preposition": "of",
    },
    "regional county municipality": {
        "article": "a",
        "display": "regional county municipality",
        "preposition": "of",
    },
    "regional district": {
        "article": "a",
        "display": "regional district",
        "preposition": "of",
    },
    "regional municipality": {
        "article": "a",
        "display": "regional municipality",
        "preposition": "of",
    },
    "regional unit": {
        "article": "a",
        "display": "regional unit",
        "preposition": "of",
    },
    "registration county": {
        "article": "a",
        "display": "registration county",
        "preposition": "in",
    },
    "republic": {
        "article": "a",
        "display": "republic",
        "preposition": "of",
    },
    "research base": {
        "article": "a",
        "display": "research base",
        "preposition": "in",
    },
    "reservoir": {
        "article": "a",
        "display": "reservoir",
        "preposition": "in",
    },
    "residental area": {
        "article": "a",
        "display": "residential area",
        "preposition": "in",
    },
    "resort city": {
        "article": "a",
        "display": "resort city",
        "preposition": "in",
    },
    "resort town": {
        "article": "a",
        "display": "resort town",
        "preposition": "in",
    },
    "river": {
        "article": "a",
        "display": "river",
        "preposition": "in",
    },
    "royal borough": {
        "article": "a",
        "display": "royal borough",
        "preposition": "of",
    },
    "royal burgh": {
        "article": "a",
        "display": "royal burgh",
        "preposition": "of",
    },
    "royal capital": {
        "article": "the",
        "display": "royal capital",
        "preposition": "of",
    },
    "rural committee": {
        "article": "a",
        "display": "rural committee",
        "preposition": "in",
    },
    "rural community": {
        "article": "a",
        "display": "rural community",
        "preposition": "in",
    },
    "rural municipality": {
        "article": "a",
        "display": "rural municipality",
        "preposition": "of",
    },
    "rural township": {
        "article": "a",
        "display": "rural township",
        "preposition": "in",
    },
    "satrapy": {
        "article": "a",
        "display": "satrapy",
        "preposition": "of",
    },
    "sea": {
        "article": "a",
        "display": "sea",
        "preposition": "in",
    },
    "seaport": {
        "article": "a",
        "display": "seaport",
        "preposition": "in",
    },
    "seat": {
        "article": "the",
        "display": "seat",
        "preposition": "of",
    },
    "self-administered division": {
        "article": "a",
        "display": "self-administered division",
        "preposition": "of",
    },
    "self-administered zone": {
        "article": "a",
        "display": "self-administered zone",
        "preposition": "of",
    },
    "settlement": {
        "article": "a",
        "display": "settlement",
        "preposition": "in",
    },
    "sheading": {
        "article": "a",
        "display": "sheading",
        "preposition": "of",
    },
    "sheep station": {
        "article": "a",
        "display": "sheep station",
        "preposition": "in",
    },
    "shire": {
        "article": "a",
        "display": "shire",
        "preposition": "of",
    },
    "shire county": {
        "article": "a",
        "display": "shire county",
        "preposition": "of",
    },
    "shire town": {
        "article": "the",
        "display": "shire town",
        "preposition": "of",
    },
    "ski resort town": {
        "article": "a",
        "display": "ski resort town",
        "preposition": "in",
    },
    "spa city": {
        "article": "a",
        "display": "spa city",
        "preposition": "in",
    },
    "spa town": {
        "article": "a",
        "display": "spa town",
        "preposition": "in",
    },
    "special administrative region": {
        "article": "a",
        "display": "special administrative region",
        "preposition": "of",
    },
    "special collectivity": {
        "article": "a",
        "display": "special collectivity",
        "preposition": "in",
    },
    "special municipality": {
        "article": "a",
        "display": "special municipality",
        "preposition": "in",
    },
    "special ward": {
        "article": "a",
        "display": "special ward",
        "preposition": "of",
    },
    "spit": {
        "article": "a",
        "display": "spit",
        "preposition": "in",
    },
    "spring": {
        "article": "a",
        "display": "spring",
        "preposition": "in",
    },
    "star": {
        "article": "a",
        "display": "star",
        "preposition": "in",
    },
    "state": {
        "article": "a",
        "display": "state",
        "preposition": "of",
    },
    "state capital": {
        "article": "the",
        "display": "state capital",
        "preposition": "of",
    },
    "state park": {
        "article": "a",
        "display": "state park",
        "preposition": "in",
    },
    "state-level new area": {
        "article": "a",
        "display": "state-level new area",
        "preposition": "in",
    },
    "statutory city": {
        "article": "a",
        "display": "statutory city",
        "preposition": "in",
    },
    "statutory town": {
        "article": "a",
        "display": "statutory town",
        "preposition": "in",
    },
    "strait": {
        "article": "a",
        "display": "strait",
        "preposition": "in",
    },
    "stream": {
        "article": "a",
        "display": "stream",
        "preposition": "in",
    },
    "strip": {
        "article": "a",
        "display": "strip",
        "preposition": "of",
    },
    "strip of land": {
        "article": "a",
        "display": "strip of land",
        "preposition": "of",
    },
    "sub-prefectural city": {
        "article": "a",
        "display": "sub-prefectural city",
        "preposition": "in",
    },
    "subdistrict": {
        "article": "a",
        "display": "subdistrict",
        "preposition": "of",
    },
    "subdivision": {
        "article": "a",
        "display": "subdivision",
        "preposition": "of",
    },
    "submerged ghost town": {
        "article": "a",
        "display": "submerged ghost town",
        "preposition": "in",
    },
    "subprefecture": {
        "article": "a",
        "display": "subprefecture",
        "preposition": "of",
    },
    "subprovince": {
        "article": "a",
        "display": "subprovince",
        "preposition": "of",
    },
    "subprovincial city": {
        "article": "a",
        "display": "subprovincial city",
        "preposition": "in",
    },
    "subprovincial district": {
        "article": "a",
        "display": "subprovincial district",
        "preposition": "of",
    },
    "subregion": {
        "article": "a",
        "display": "subregion",
        "preposition": "of",
    },
    "suburb": {
        "article": "a",
        "display": "suburb",
        "preposition": "of",
    },
    "suburban area": {
        "article": "a",
        "display": "suburban area",
        "preposition": "of",
    },
    "subway station": {
        "article": "a",
        "display": "subway station",
        "preposition": "in",
    },
    "supercontinent": {
        "article": "a",
        "display": "supercontinent",
        "preposition": "in",
    },
    "tehsil": {
        "article": "a",
        "display": "tehsil",
        "preposition": "in",
    },
    "territorial authority": {
        "article": "a",
        "display": "territorial authority",
        "preposition": "of",
    },
    "territory": {
        "article": "a",
        "display": "territory",
        "preposition": "of",
    },
    "town": {
        "article": "a",
        "display": "town",
        "preposition": "in",
    },
    "town with bystatus": {
        "article": "a",
        "display": "town with bystatus",
        "preposition": "in",
    },
    "township": {
        "article": "a",
        "display": "township",
        "preposition": "in",
    },
    "township municipality": {
        "article": "a",
        "display": "township municipality",
        "preposition": "of",
    },
    "traditional county": {
        "article": "a",
        "display": "traditional county",
        "preposition": "of",
    },
    "traditional region": {
        "article": "a",
        "display": "traditional region",
        "preposition": "in",
    },
    "treaty port": {
        "article": "a",
        "display": "treaty port",
        "preposition": "in",
    },
    "tribal jurisdictional area": {
        "article": "a",
        "display": "tribal jurisdictional area",
        "preposition": "in",
    },
    "tributary": {
        "article": "a",
        "display": "tributary",
        "preposition": "of",
    },
    "underground station": {
        "article": "an",
        "display": "underground station",
        "preposition": "in",
    },
    "unincorporated area": {
        "article": "an",
        "display": "unincorporated area",
        "preposition": "of",
    },
    "unincorporated community": {
        "article": "an",
        "display": "unincorporated community",
        "preposition": "in",
    },
    "unincorporated territory": {
        "article": "an",
        "display": "unincorporated territory",
        "preposition": "of",
    },
    "union territory": {
        "article": "a",
        "display": "union territory",
        "preposition": "of",
    },
    "unitary authority": {
        "article": "a",
        "display": "unitary authority",
        "preposition": "in",
    },
    "unitary district": {
        "article": "a",
        "display": "unitary district",
        "preposition": "in",
    },
    "united township municipality": {
        "article": "a",
        "display": "united township municipality",
        "preposition": "in",
    },
    "university": {
        "article": "a",
        "display": "university",
        "preposition": "in",
    },
    "unrecognised country": {
        "article": "an",
        "display": "unrecognised country",
        "preposition": "in",
    },
    "unrecognized country": {
        "article": "an",
        "display": "unrecognized country",
        "preposition": "in",
    },
    "urban area": {
        "article": "an",
        "display": "urban area",
        "preposition": "of",
    },
    "urban township": {
        "article": "an",
        "display": "urban township",
        "preposition": "in",
    },
    "urban-type settlement": {
        "article": "an",
        "display": "urban-type settlement",
        "preposition": "in",
    },
    "valley": {
        "article": "a",
        "display": "valley",
        "preposition": "in",
    },
    "village": {
        "article": "a",
        "display": "village",
        "preposition": "in",
    },
    "village municipality": {
        "article": "a",
        "display": "village municipality",
        "preposition": "of",
    },
    "voivodeship": {
        "article": "a",
        "display": "voivodeship",
        "preposition": "of",
    },
    "volcano": {
        "article": "a",
        "display": "volcano",
        "preposition": "in",
    },
    "ward": {
        "article": "a",
        "display": "ward",
        "preposition": "of",
    },
    "watercourse": {
        "article": "a",
        "display": "watercourse",
        "preposition": "in",
    },
    "zone": {
        "article": "a",
        "display": "zone",
        "preposition": "of",
    },
}  # 431

placetypes_aliases = {
    "CDP": "census-designated place",
    "acomm": "autonomous community",
    "adr": "administrative region",
    "aobl": "autonomous oblast",
    "aokr": "autonomous okrug",
    "ap": "autonomous province",
    "apref": "autonomous prefecture",
    "ar": "autonomous region",
    "arch": "archipelago",
    "arep": "autonomous republic",
    "aterr": "autonomous territory",
    "bor": "borough",
    "c": "country",
    "can": "canton",
    "carea": "council area",
    "cc": "constituent country",
    "cdblock": "community development block",
    "cdep": "Crown dependency",
    "cdp": "census-designated place",
    "co": "county",
    "cobor": "county borough",
    "colcity": "county-level city",
    "coll": "collectivity",
    "comm": "community",
    "cont": "continent",
    "cpar": "civil parish",
    "dep": "dependency",
    "departmental capital": "department capital",
    "dept": "department",
    "dist": "district",
    "distmun": "district municipality",
    "div": "division",
    "fpref": "French prefecture",
    "gov": "governorate",
    "govnat": "governorate",
    "home-rule city": "home rule city",
    "home-rule municipality": "home rule municipality",
    "inner-city area": "inner city area",
    "ires": "Indian reservation",
    "isl": "island",
    "lbor": "London borough",
    "lgarea": "local government area",
    "lgdist": "local government district",
    "metbor": "metropolitan borough",
    "metcity": "metropolitan city",
    "mtn": "mountain",
    "mun": "municipality",
    "mundist": "municipal district",
    "nonmetropolitan county": "non-metropolitan county",
    "obl": "oblast",
    "okr": "okrug",
    "p": "province",
    "par": "parish",
    "parmun": "parish municipality",
    "pen": "peninsula",
    "pref": "prefecture",
    "prefcity": "prefecture-level city",
    "preflcity": "prefecture-level city",
    "r": "region",
    "range": "mountain range",
    "rcomun": "regional county municipality",
    "rdist": "regional district",
    "rep": "republic",
    "riv": "river",
    "rmun": "regional municipality",
    "robor": "royal borough",
    "romp": "Roman province",
    "runit": "regional unit",
    "rurmun": "rural municipality",
    "s": "state",
    "sar": "special administrative region",
    "sprefcity": "sub-prefectural city",
    "sprovcity": "subprovincial city",
    "sub-prefecture-level city": "sub-prefectural city",
    "sub-provincial city": "subprovincial city",
    "sub-provincial district": "subprovincial district",
    "terr": "territory",
    "terrauth": "territorial authority",
    "tjarea": "tribal jurisdictional area",
    "twp": "township",
    "twpmun": "township municipality",
    "ucomm": "unincorporated community",
    "uterr": "union territory",
    "utwpmun": "united township municipality",
    "val": "valley",
    "voi": "voivodeship",
    "wcomm": "Welsh community",
}  # 87

recognized_qualifiers = {
    "abandoned": "abandoned",
    "affluent": "affluent",
    "agricultural": "agricultural",
    "ancient": "ancient",
    "autonomous": "autonomous",
    "beachfront": "beachfront",
    "beachside": "beachfront",
    "business": "business",
    "cattle": "cattle",
    "chartered": "chartered",
    "coastal": "coastal",
    "commercial": "commercial",
    "declining": "declining",
    "deserted": "deserted",
    "east": "east",
    "eastern": "eastern",
    "endorheic": "endorheic",
    "extinct": "extinct",
    "farming": "farming",
    "fashionable": "fashionable",
    "fictional": "fictional",
    "fishing": "fishing",
    "former": "former",
    "freshwater": "freshwater",
    "high": "high",
    "hilly": "hilly",
    "historic": "historical",
    "historical": "historical",
    "holy": "holy",
    "huge": "huge",
    "important": "important",
    "incorporated": "incorporated",
    "industrial": "industrial",
    "inland": "inland",
    "inner": "inner",
    "landlocked": "landlocked",
    "large": "large",
    "left": "left",
    "logging": "logging",
    "long": "long",
    "low": "low",
    "major": "major",
    "maritime": "maritime",
    "mediaeval": "mediaeval",
    "medieval": "medieval",
    "mining": "mining",
    "minor": "minor",
    "modern": "modern",
    "mythological": "mythological",
    "north": "north",
    "northeast": "northeast",
    "northeastern": "northeastern",
    "northern": "northern",
    "northwest": "northwest",
    "northwestern": "northwestern",
    "outer": "outer",
    "outlying": "outlying",
    "overseas": "overseas",
    "ox-bow": "ox-bow",
    "oxbow": "oxbow",
    "planned": "planned",
    "railroad": "railroad",
    "railway": "railway",
    "religious": "religious",
    "remote": "remote",
    "residential": "residential",
    "right": "right",
    "riverside": "riverside",
    "rural": "rural",
    "sacred": "sacred",
    "saltwater": "saltwater",
    "seaside": "coastal",
    "secular": "secular",
    "short": "short",
    "sizable": "sizable",
    "small": "small",
    "south": "south",
    "southeast": "southeast",
    "southeastern": "southeastern",
    "southern": "southern",
    "southwest": "southwest",
    "southwestern": "southwestern",
    "special": "special",
    "suburban": "suburban",
    "summer": "summer",
    "tiny": "tiny",
    "traditional": "traditional",
    "unincorporated": "unincorporated",
    "urban": "urban",
    "wealthy": "wealthy",
    "west": "west",
    "western": "western",
    "winter": "winter",
}  # 93

recognized_placenames = {
    "archipelago/Cyclades": {"article": "the", "display": ""},
    "archipelago/Dodecanese": {"article": "the", "display": ""},
    "autonomous community/Balearic Islands": {"article": "the", "display": ""},
    "autonomous community/Basque Country": {"article": "the", "display": ""},
    "autonomous community/Canary Islands": {"article": "the", "display": ""},
    "autonomous community/Community of Madrid": {"article": "the", "display": ""},
    "autonomous community/Valencian Community": {"article": "", "display": "autonomous community/Valencia"},
    "autonomous oblast/Jewish Autonomous Oblast": {"article": "the", "display": ""},
    "autonomous territory/Faroe Islands": {"article": "the", "display": ""},
    "borough/Bronx": {"article": "the", "display": ""},
    "city/New York": {"article": "", "display": "city/New York City"},
    "city/Washington D.C.": {"article": "", "display": "city/Washington, D.C."},
    "city/Washington DC": {"article": "", "display": "city/Washington, D.C."},
    "city/Washington, DC": {"article": "", "display": "city/Washington, D.C."},
    "commonwealth/Northern Mariana Islands": {"article": "the", "display": ""},
    "constituent country/Netherlands": {"article": "the", "display": ""},
    "council area/City of Aberdeen": {"article": "the", "display": ""},
    "council area/City of Dundee": {"article": "the", "display": ""},
    "council area/City of Edinburgh": {"article": "the", "display": ""},
    "council area/City of Glasgow": {"article": "the", "display": ""},
    "council area/Orkney Islands": {"article": "the", "display": ""},
    "council area/Scottish Borders": {"article": "the", "display": ""},
    "council area/Shetland Islands": {"article": "the", "display": ""},
    "country/Bahamas": {"article": "the", "display": ""},
    "country/Bosnia and Hercegovina": {"article": "", "display": "country/Bosnia and Herzegovina"},
    "country/Central African Republic": {"article": "the", "display": ""},
    "country/Comoros": {"article": "the", "display": ""},
    "country/Cook Islands": {"article": "the", "display": ""},
    "country/Czech Republic": {"article": "the", "display": ""},
    "country/Czechia": {"article": "", "display": "country/Czech Republic"},
    "country/Côte d'Ivoire": {"article": "", "display": "country/Ivory Coast"},
    "country/Democratic Republic of the Congo": {"article": "the", "display": ""},
    "country/Dominican Republic": {"article": "the", "display": ""},
    "country/Federated States of Micronesia": {"article": "the", "display": ""},
    "country/Gambia": {"article": "the", "display": ""},
    "country/Holy Roman Empire": {"article": "the", "display": ""},
    "country/Macedonia": {"article": "", "display": "country/North Macedonia"},
    "country/Maldives": {"article": "the", "display": ""},
    "country/Marshall Islands": {"article": "the", "display": ""},
    "country/Netherlands": {"article": "the", "display": ""},
    "country/Philippines": {"article": "the", "display": ""},
    "country/Republic of Armenia": {"article": "", "display": "country/Armenia"},
    "country/Republic of Ireland": {"article": "", "display": "country/Ireland"},
    "country/Republic of Macedonia": {"article": "", "display": "country/North Macedonia"},
    "country/Republic of North Macedonia": {"article": "", "display": "country/North Macedonia"},
    "country/Republic of the Congo": {"article": "the", "display": ""},
    "country/Roman Empire": {"article": "the", "display": ""},
    "country/Solomon Islands": {"article": "the", "display": ""},
    "country/Soviet Union": {"article": "the", "display": ""},
    "country/State of Palestine": {"article": "", "display": "country/Palestine"},
    "country/Swaziland": {"article": "", "display": "country/Eswatini"},
    "country/Türkiye": {"article": "", "display": "country/Turkey"},
    "country/U.S.": {"article": "", "display": "country/United States"},
    "country/U.S.A.": {"article": "", "display": "country/United States"},
    "country/UAE": {"article": "", "display": "country/United Arab Emirates"},
    "country/UK": {"article": "", "display": "country/United Kingdom"},
    "country/US": {"article": "", "display": "country/United States"},
    "country/USA": {"article": "", "display": "country/United States"},
    "country/United Arab Emirates": {"article": "the", "display": ""},
    "country/United Kingdom": {"article": "the", "display": ""},
    "country/United States": {"article": "the", "display": ""},
    "country/United States of America": {"article": "", "display": "country/United States"},
    "country/Vatican": {"article": "", "display": "country/Vatican City"},
    "county borough/Vale of Glamorgan": {"article": "the", "display": ""},
    "county/City of Belfast": {"article": "the", "display": ""},
    "county/City of Derry": {"article": "the", "display": ""},
    "county/East Riding of Yorkshire": {"article": "the", "display": ""},
    "county/Isle of Anglesey": {"article": "the", "display": ""},
    "county/Isle of Wight": {"article": "the", "display": ""},
    "county/West Midlands": {"article": "the", "display": ""},
    "crown dependency/Isle of Man": {"article": "the", "display": ""},
    "dependency/Isle of Man": {"article": "the", "display": ""},
    "dependent territory/Isle of Man": {"article": "the", "display": ""},
    "empire/Roman Empire": {"article": "the", "display": ""},
    "external territory/Cocos Islands": {"article": "the", "display": ""},
    "island/North Island": {"article": "the", "display": ""},
    "island/South Island": {"article": "the", "display": ""},
    "oblast/Jewish Autonomous Oblast": {"article": "the", "display": ""},
    "overseas territory/British Indian Ocean Territory": {"article": "the", "display": ""},
    "overseas territory/British Virgin Islands": {"article": "the", "display": ""},
    "overseas territory/Cayman Islands": {"article": "the", "display": ""},
    "overseas territory/Falkland Islands": {"article": "the", "display": ""},
    "overseas territory/Northern Mariana Islands": {"article": "the", "display": ""},
    "overseas territory/Pitcairn Islands": {"article": "the", "display": ""},
    "overseas territory/South Sandwich Islands": {"article": "the", "display": ""},
    "overseas territory/Turks and Caicos Islands": {"article": "the", "display": ""},
    "overseas territory/United States Virgin Islands": {"article": "the", "display": ""},
    "region/Balkans": {"article": "the", "display": ""},
    "region/Caribbean": {"article": "the", "display": ""},
    "region/Caucasus": {"article": "the", "display": ""},
    "region/Gaza Strip": {"article": "the", "display": ""},
    "region/Kanta-Häme": {"article": "", "display": "region/Tavastia Proper"},
    "region/Middle East": {"article": "the", "display": ""},
    "region/New Territories": {"article": "the", "display": ""},
    "region/North Caucasus": {"article": "the", "display": ""},
    "region/North Savo": {"article": "", "display": "region/Northern Savonia"},
    "region/Northern Ostrobothnia": {"article": "", "display": "region/North Ostrobothnia"},
    "region/Päijät-Häme": {"article": "", "display": "region/Päijänne Tavastia"},
    "region/Russian Far East": {"article": "the", "display": ""},
    "region/South Caucasus": {"article": "the", "display": ""},
    "region/South Savo": {"article": "", "display": "region/Southern Savonia"},
    "region/Southern Ostrobothnia": {"article": "", "display": "region/South Ostrobothnia"},
    "region/West Bank": {"article": "the", "display": ""},
    "region/Åland": {"article": "", "display": "region/Åland Islands"},
    "region/Åland Islands": {"article": "the", "display": ""},
    "republic/Altai Republic": {"article": "the", "display": ""},
    "republic/Chechen Republic": {"article": "the", "display": ""},
    "republic/Chuvash Republic": {"article": "the", "display": ""},
    "republic/Kabardino-Balkar Republic": {"article": "the", "display": ""},
    "republic/Kabardino-Balkarian Republic": {"article": "", "display": "republic/Kabardino-Balkar Republic"},
    "republic/Karachay-Cherkess Republic": {"article": "the", "display": ""},
    "republic/Komi Republic": {"article": "the", "display": ""},
    "republic/Mari El Republic": {"article": "the", "display": ""},
    "republic/Republic of Adygea": {"article": "the", "display": ""},
    "republic/Republic of Bashkortostan": {"article": "the", "display": ""},
    "republic/Republic of Buryatia": {"article": "the", "display": ""},
    "republic/Republic of Dagestan": {"article": "the", "display": ""},
    "republic/Republic of Ingushetia": {"article": "the", "display": ""},
    "republic/Republic of Kalmykia": {"article": "the", "display": ""},
    "republic/Republic of Karelia": {"article": "the", "display": ""},
    "republic/Republic of Khakassia": {"article": "the", "display": ""},
    "republic/Republic of Mordovia": {"article": "the", "display": ""},
    "republic/Republic of North Ossetia-Alania": {"article": "the", "display": ""},
    "republic/Republic of Tatarstan": {"article": "the", "display": ""},
    "republic/Sakha Republic": {"article": "the", "display": ""},
    "republic/Tuva Republic": {"article": "the", "display": ""},
    "republic/Tyva Republic": {"article": "", "display": "republic/Tuva Republic"},
    "republic/Udmurt Republic": {"article": "the", "display": ""},
    "state/Mecklenburg-Western Pomerania": {"article": "", "display": "state/Mecklenburg-Vorpommern"},
    "state/Mexico": {"article": "", "display": "state/State of Mexico"},
    "state/State of Mexico": {"article": "the", "display": ""},
    "territory/Australian Capital Territory": {"article": "the", "display": ""},
    "territory/British Indian Ocean Territory": {"article": "the", "display": ""},
    "territory/British Virgin Islands": {"article": "the", "display": ""},
    "territory/Cayman Islands": {"article": "the", "display": ""},
    "territory/Cocos Islands": {"article": "the", "display": ""},
    "territory/Falkland Islands": {"article": "the", "display": ""},
    "territory/Faroe Islands": {"article": "the", "display": ""},
    "territory/Isle of Man": {"article": "the", "display": ""},
    "territory/Northern Mariana Islands": {"article": "the", "display": ""},
    "territory/Northern Territory": {"article": "the", "display": ""},
    "territory/Northwest Territories": {"article": "the", "display": ""},
    "territory/Pitcairn Islands": {"article": "the", "display": ""},
    "territory/South Sandwich Islands": {"article": "the", "display": ""},
    "territory/Turks and Caicos Islands": {"article": "the", "display": ""},
    "territory/U.S. Virgin Islands": {"article": "", "display": "territory/United States Virgin Islands"},
    "territory/US Virgin Islands": {"article": "", "display": "territory/United States Virgin Islands"},
    "territory/United States Virgin Islands": {"article": "the", "display": ""},
    "unincorporated territory/Northern Mariana Islands": {"article": "the", "display": ""},
    "unincorporated territory/United States Virgin Islands": {"article": "the", "display": ""},
    "valley/San Fernando Valley": {"article": "the", "display": ""},
}  # 151
# END
