"""
List of SI unit, their types, prefixes and symbols.
"""

unit_to_type = {
    "ampere": "current",
    "candela": "luminous intensity",
    "kelvin": "temperature",
    "gram": "mass",
    "gramme": "mass",
    "meter": "length",
    "metre": "length",
    "mole": "amount of substance",
    "second": "time",
    "coulum": "charge",
    "farad": "capacitance",
    "hertz": "frequency",
    "joule": "energy",
    "newton": "force",
    "ohm": "resistance",
    "pascal": "pressure",
    "watt": "power",
    "tesla": "magnetic flux intensity",
    "volt": "electric potential",
}

prefix_to_exp = {
    "yocto": "-24",
    "zepto": "-21",
    "atto": "-18",
    "femto": "-15",
    "pico": "-12",
    "nano": "-9",
    "micro": "-6",
    "mili": "-3",
    "centi": "-2",
    "deci": "-1",
    "kilo": "3",
    "mega": "6",
    "giga": "9",
    "tera": "12",
    "peta": "15",
    "exa": "18",
    "zetta": "21",
    "yotta": "24",
}

prefix_to_symbol = {
    "yocto": "y",
    "zepto": "z",
    "atto": "a",
    "femto": "f",
    "pico": "p",
    "nano": "n",
    "micro": "μ",
    "milli": "m",
    "centi": "c",
    "deci": "d",
    "deca": "da",
    "hecto": "h",
    "kilo": "k",
    "mega": "M",
    "giga": "G",
    "tera": "T",
    "peta": "P",
    "exa": "E",
    "zetta": "Z",
    "yotta": "Y",
}

unit_to_symbol = {
    "ampere": "A",
    "candela": "cd",
    "kelvin": "K",
    "gram": "g",
    "gramme": "g",
    "meter": "m",
    "metre": "m",
    "mole": "mol",
    "second": "s",
    "coulum": "C",
    "farad": "F",
    "hertz": "Hz",
    "joule": "J",
    "newton": "N",
    "ohm": "Ω",
    "pascal": "Pa",
    "watt": "W",
    "tesla": "T",
    "volt": "V",
}
